Bug 1009574 - [HHH-8519] tests with SequenceIdentityGenerator fail with NPE on oracle12c
[HHH-8519] tests with SequenceIdentityGenerator fail with NPE on oracle12c
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brett Meyer
Zbyněk Roubalík
Russell Dickenson
:
Depends On:
Blocks: 1011861
  Show dependency treegraph
 
Reported: 2013-09-18 12:03 EDT by Martin Simka
Modified: 2015-09-01 00:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 15:42:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simka 2013-09-18 12:03:25 EDT
org.hibernate.test.generatedkeys.seqidentity.SequenceIdentityTest.testSequenceIdentityGenerator

org.hibernate.test.annotations.lob.LobWithSequenceIdentityGeneratorTest.testLobInsertUpdateDeleteSelect

fail with NPE on oracle12c

Stacktrace:

java.lang.NullPointerException
	at oracle.jdbc.driver.AutoKeyInfo.initMetaDataColumnIndexes(AutoKeyInfo.java:423)
	at oracle.jdbc.driver.AutoKeyInfo.initMetaData(AutoKeyInfo.java:396)
	at oracle.jdbc.driver.OracleReturnResultSet.getMetaData(OracleReturnResultSet.java:77)
	at org.hibernate.id.IdentifierGeneratorHelper.get(IdentifierGeneratorHelper.java:122)
	at org.hibernate.id.IdentifierGeneratorHelper.getGeneratedIdentity(IdentifierGeneratorHelper.java:92)
	at org.hibernate.id.SequenceIdentityGenerator$Delegate.executeAndExtract(SequenceIdentityGenerator.java:112)
	at org.hibernate.id.insert.AbstractReturningDelegate.performInsert(AbstractReturningDelegate.java:58)
	at org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:2975)
	at org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:3487)
	at org.hibernate.action.internal.EntityIdentityInsertAction.execute(EntityIdentityInsertAction.java:81)
	at org.hibernate.engine.spi.ActionQueue.execute(ActionQueue.java:377)
.....

https://hibernate.atlassian.net/browse/HHH-8519
Comment 1 Brett Meyer 2013-09-19 15:42:17 EDT
This appears to be a documented bug with the oracle12c JDBC driver:

https://forums.oracle.com/thread/2558937

Note You need to log in before you can comment on or make changes to this bug.